Package org.codehaus.janino

# Interface Java.PackageMemberTypeDeclaration

All Superinterfaces:
  `Java.Annotatable`, `Java.Locatable`, `Java.NamedTypeDeclaration`, `Java.Scope`, `Java.TypeDeclaration`

All Known Implementing Classes:
  `Java.PackageMemberAnnotationTypeDeclaration`, `Java.PackageMemberClassDeclaration`, `Java.PackageMemberEnumDeclaration`, `Java.PackageMemberInterfaceDeclaration`

Enclosing class:
  `Java`

public static interface Java.PackageMemberTypeDeclaration extends Java.NamedTypeDeclaration
Represents a class or interface declaration on compilation unit level. These are called "package member types" because they are immediate members of a package.

## Method Summary

Modifier and Type
Method
Description
`Access`
`getAccess()`
`Java.CompilationUnit`
`getDeclaringCompilationUnit()`
`void`
`setDeclaringCompilationUnit(Java.CompilationUnit declaringCompilationUnit)`
Sets the `Java.AbstractCompilationUnit` in which this top-level type is declared.

### Methods inherited from interface org.codehaus.janino.Java.Annotatable

`getAnnotations`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

### Methods inherited from interface org.codehaus.janino.Java.NamedTypeDeclaration

`getName, getOptionalTypeParameters`

### Methods inherited from interface org.codehaus.janino.Java.Scope

`getEnclosingScope`

### Methods inherited from interface org.codehaus.janino.Java.TypeDeclaration

`accept, createAnonymousClassName, createLocalTypeName, getClassName, getMemberTypeDeclaration, getMemberTypeDeclarations, getMethodDeclaration, getMethodDeclarations`

## Method Details

### setDeclaringCompilationUnit

void setDeclaringCompilationUnit(Java.CompilationUnit declaringCompilationUnit)
Sets the `Java.AbstractCompilationUnit` in which this top-level type is declared.

### getDeclaringCompilationUnit

Java.CompilationUnit getDeclaringCompilationUnit()

Returns:
  The `Java.AbstractCompilationUnit` in which this top-level type is declared.

### getAccess

Access getAccess()

Returns:
  The accessability declared for this top-level type